/* acconfig.h: Local autoconf macros.
 *
 * Copyright (C) 1998--2001 Frank Langbein <frank@langbein.org>
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: acconfig.h 1 2005-08-10 23:35:07Z frank $
 */

/* Define if using MesaGL library. This is used to determine if the MesaGL
   header files or the OpenGL header files should be included. */
#undef USE_MESAGL

/* Define if the debugging features of the program should be used. */
#undef DEBUG

/* Define if strcuture timeval is available. */
#undef HAVE_TIMEVAL

/* Define if using double precision. If defined use double precision, i.e. 
   set the Real type to double. Otherwise use float. */
#undef USE_DOUBLE

/* Define if the blas library functions require the underscore as suffix. */
#undef F77BLAS_UNDERSCORE

/* Define if the lapack library functions require the underscore as suffix. */
#undef F77LAPACK_UNDERSCORE

/* Target system name. String to identify the target system on which the
   binary was build. */
#undef TARGET_TYPE

/* Define if the length of the C type float is 4 bytes (32 bit) long. This
   is used to determine the floating point type for F32 files. */
#undef REALF32_FLOAT

/* Define if the length of the C type double is 4 bytes (32 bit) long. This
   is used to determine the floating point type for F32 files. */
#undef REALF32_DOUBLE

/* Define if neither the C type float nor double is 4 bytes (32 bit) long.
   This is used to determine the floating point type for F32 files. */
#undef NO_REALF32

/* Define if the standard libraries (husks) of the ACIS solid modelling
   kernel are available. */
#undef HAVE_ACIS

/* Define if the standard libraries (husks) of the ACIS solid modelling
   kernel version 5 are available. */
#undef HAVE_ACIS_5

/* Define if the standard libraries (husks) of the ACIS solid modelling
   kernel version 6 are available. */
#undef HAVE_ACIS_6

/* Define if the local operations libraries (husks) of the ACIS solid
   modelling kernel are available. */
#undef HAVE_ACIS_LOP

/* Define if the aec libraries (husks) of the ACIS solid modelling kernel
   are available. */
#undef HAVE_ACIS_AEC

/* Define if the warp libraries (husks) of the ACIS solid modelling
   kernel are available. */
#undef HAVE_ACIS_WARP

/* Define if the cellular topology operations libraries (husks) of the
   ACIS solid modelling kernel are available. */
#undef HAVE_ACIS_CT

/* Configuration file path. */
#undef CONFIGDIR

/* Default module path. */
#undef DEFAULT_MODULE_PATH

/* Default plugin path. */
#undef DEFAULT_PLUGIN_PATH

/* Default modules. */
#undef DEFAULT_MODULES

/* Memory profile. */
#undef MEM_PROFILE

/*** Local Variables:
 *** exe-comm: "./sil"
 *** compile-command: "make"
 *** End:
 ***/
