// ent_sil.cc: SIL class implementation.
//
// Copyright (C) 1999-2001 Frank C Langbein <frank@langbein.org>
//
// This program is free software; you can redistribute it and/or modify it 
// under the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 of the License, or (at your option)
// any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
// or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc.,
// 675 Mass Ave, Cambridge, MA 02139, USA.
//
// $Id: ent_sil.cc 1 2005-08-10 23:35:07Z frank $

#include "config.h"

RCSID (ent_sil, "$Id: ent_sil.cc 1 2005-08-10 23:35:07Z frank $");

#include "acis/acis.hxx"

#include <kernel/kernel_thread_ctx.hxx>
#include "acis/ent_sil.hxx" 

// Identifier used externally to identify a particular entity 
// type. This is only used within the save/restore system for 
// translating to/from external file format. 

#define ENTITY_SIL_NAME "sil" 

// Macros used to tell the master macro who we are and where we 
// stand in the hierarchy 

#define THIS() ENTITY_SIL 
#define THIS_LIB NONE 
#define PARENT() ENTITY 
#define PARENT_LIB KERN 

// Now a grand macro to do the rest of the implementation. 

MASTER_ENTITY_DEFN ("sil master entity");

/// Local Variables:
/// exe-comm: "../sil"
/// compile-command: "cd .. && make"
/// End:
