// light.hxx: LIGHT class.
//
// Copyright (C) 1999-2001 Frank C Langbein <frank@langbein.org>
//
// This program is free software; you can redistribute it and/or modify it 
// under the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 of the License, or (at your option)
// any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
// or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc.,
// 675 Mass Ave, Cambridge, MA 02139, USA.
//
// $Id: light.hxx,v 1.5 2001/04/19 15:23:41 scmfcl Exp $
//

#ifndef LIGHT_HXX
#define LIGHT_HXX

#include "acis/ent_sil.hxx"
#include "sil_light.hxx"

class LIGHT; 

// Identifier that gives number of levels of derivation of this 
// class from ENTITY 

extern int LIGHT_TYPE; 
#define LIGHT_LEVEL (ENTITY_SIL_LEVEL + 1) 

// LIGHT declaration proper. 

class LIGHT: public ENTITY_SIL, public SiL_Light {
public:
  LIGHT (double ar=0.0, double ag=0.0, double ab=0.0, double aa=1.0,
	 double dr=1.0, double dg=1.0, double db=1.0, double da=1.0,
	 double sr=1.0, double sg=1.0, double sb=1.0, double sa=1.0,
	 double x=0.0, double y=0.0, double z=1.0, double w=0.0,
	 double sx=0.0, double sy=0.0, double sz=-1.0,
	 double se=0.0,
	 double sc=180.0,
	 double ca=1.0,
	 double la=0.0,
	 double qa=0.0);
  void set_light (double ar=0.0, double ag=0.0, double ab=0.0, double aa=1.0,
		  double dr=1.0, double dg=1.0, double db=1.0, double da=1.0,
		  double sr=1.0, double sg=1.0, double sb=1.0, double sa=1.0,
		  double x=0.0, double y=0.0, double z=1.0, double w=0.0,
		  double sx=0.0, double sy=0.0, double sz=-1.0,
		  double se=0.0,
		  double sc=180.0,
		  double ca=1.0,
		  double la=0.0,
		  double qa=0.0);
  // Include the standard member functions for all entities. 
  ENTITY_FUNCTIONS (LIGHT, NONE);
  // Search a private list for this object, used for debugging. 
  LOOKUP_FUNCTION;
}; 

#endif // LIGHT_HXX

/// Local Variables:
/// exe-comm: "../sil"
/// compile-command: "cd .. && make"
/// End:
