// base_moudle.hxx: Base module.
//
// Copyright (C) 1999-2001 Frank C Langbein <frank@langbein.org>
//
// This program is free software; you can redistribute it and/or modify it 
// under the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 of the License, or (at your option)
// any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
// or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc.,
// 675 Mass Ave, Cambridge, MA 02139, USA.
//
// $Id: base_module.hxx,v 1.12 2001/04/19 15:23:42 scmfcl Exp $

#ifndef BASE_MODULE_HXX
#define BASE_MODULE_HXX 1

#include "module.hxx"

class Renderer;
class Light;

class BaseModule : public Module {
public:
  BaseModule ();
  ~BaseModule ();
  void draw_object (void *object, SimpleList<void> const &hirefs);
  void draw_fixed_object (void *object, SimpleList<void> const &hirefs);
  void del_object (void *object);
  void load_file (FILE *fp, const char *format, bool ext, bool replace);
  void save_file (FILE *fp, const char *format, bool ext);
  const char *name () const;
private:
  static const char *nm;
};

#endif // !BASE_MODULE_HXX

/// Local Variables:
/// exe-comm: "../sil"
/// compile-command: "cd .. && make"
/// End:
