// entity.cxx: Kernel base class implementation.
//
// Copyright (C) 1999-2001 Frank C Langbein <frank@langbein.org>
//
// This program is free software; you can redistribute it and/or modify it 
// under the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 of the License, or (at your option)
// any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
// or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc.,
// 675 Mass Ave, Cambridge, MA 02139, USA.
//
// $Id: entity.cc 1 2005-08-10 23:35:07Z frank $

#include "config.h"

RCSID (entity, "$Id: entity.cc 1 2005-08-10 23:35:07Z frank $");

#include "kernel/entity.hxx"
#include "kernel/memory.hxx"

string const Entity::tid = "Entity";

Entity::Entity ()
{
  types = new EntityType[MAX_TYPE_LEVEL + 1];
  type (0, SIL_ENTITY_TYPE);
  use_cnt = 0;
  vis = true;
  new_entity (this);
}

Entity::~Entity () { 
  assert (use_cnt == 0);
  delete types;
  del_entity (this);
}

bool Entity::is (EntityType t) const
{
  unsigned long l = 0;
  while (types[l]) {
    if (types[l++] == t)
      return true;
  }
  return false;
}

bool Entity::is (Entity const *e) const
{
  if (this == e)
    return true;
  unsigned int l = 0;
  while (types[l]) {
    if (types[l] != e->types[l])
      return false;
    ++l;
  }
  return !e->types[l];
}

/// Local Variables:
/// exe-comm: "../sil"
/// compile-command: "cd .. && make"
/// End:
