// memory.cc: Kernel memory management implementation.
//
// Copyright (C) 1999-2001 Frank C Langbein <frank@langbein.org>
//
// This program is free software; you can redistribute it and/or modify it 
// under the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 of the License, or (at your option)
// any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
// or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc.,
// 675 Mass Ave, Cambridge, MA 02139, USA.
//
// $Id: memory.cc 1 2005-08-10 23:35:07Z frank $

#include "config.h"

RCSID (memory, "$Id: memory.cc 1 2005-08-10 23:35:07Z frank $");

#include "kernel/memory.hxx"

MemoryManager *MM;

MemoryManager::~MemoryManager ()
{
  if (list) {
    if (list->length () > 0) {
      char str[255];
      snprintf (str, 255, "%lu kernel entities still in use",
		list->length ());
      sil_msg_error ("kernel", str);
      Entity *m = list->unlink_first ();
      while (m) {
#ifdef DEBUG
	cerr << "  " << m->type_id () << " - " << m->type () 
	     << " (" << m << ")" << endl;
#endif // DEBUG
	m = list->unlink_first ();
      }
    }
    delete list;
  }
}

/// Local Variables:
/// exe-comm: "../sil"
/// compile-command: "cd .. && make"
/// End:
