// module.cxx: Module class implementation.
//
// Copyright (C) 1999-2001 Frank C Langbein <frank@langbein.org>
//
// This program is free software; you can redistribute it and/or modify it 
// under the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 of the License, or (at your option)
// any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
// or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc.,
// 675 Mass Ave, Cambridge, MA 02139, USA.
//
// $Id: module.cc 1 2005-08-10 23:35:07Z frank $

#include "config.h"

RCSID (module, "$Id: module.cc 1 2005-08-10 23:35:07Z frank $");

#include "module.hxx"
#include "interface.hxx"

// Module for "unknown" symbols. Mainly this means to do nothing at
// all, but it takes care of the memory management (by calling free,
// we can't use delete as the real type is not known).

const char *Module::nm = "unknown";

void Module::add_symbol (void *object, char *name, bool visible)
{
  return;
}

void Module::show (void *object)
{
  return;
}

void Module::hide (void *object)
{
  return;
}

void Module::facet_init ()
{
  return;
}

void Module::draw_init ()
{
  return;
}

void Module::facet_object (void *object)
{
  return;
}

void Module::draw_object (void *object, SimpleList<void> const &hirefs)
{
  return;
}

void Module::draw_fixed_object (void *object, SimpleList<void> const &hirefs)
{
  return;
}

void Module::del_object (void *object)
{
  if (object)
    free (object);
  return;
}

const char *Module::name () const
{
  return nm;
}

void Module::load_file (FILE *fp, const char *format, bool ext, bool replace)
{
  sil_msg_error ("Module", "unsupported file format");
  return;
}

void Module::save_file (FILE *fp, const char *format, bool ext)
{
  sil_msg_error ("Module", "unsupported file format");
  return;
}

const char **Module::file_formats () const
{
  return NULL;
}

/// Local Variables:
/// exe-comm: "./sil"
/// compile-command: "make"
/// End:
